Bug 443104 - kernel-2.6.24.4-64.fc8: Please enable the IOMMU option in the BIOS setup
kernel-2.6.24.4-64.fc8: Please enable the IOMMU option in the BIOS setup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
: 445209 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 13:11 EDT by Dimitri Maziuk
Modified: 2009-07-14 14:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:04:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitri Maziuk 2008-04-18 13:11:32 EDT
Description of problem:

This is back:
Checking aperture...
CPU 0: aperture @ 0 size 32 MB
No AGP bridge found
Your BIOS doesn't leave a aperture memory hole
Please enable the IOMMU option in the BIOS setup
This costs you 64 MB of RAM
Mapping aperture over 65536 KB of RAM @ c000000
-------------------------------

2 dual-core Opterons on SuperMicro HDA8* series mobo, no AGP (PCI-X). AMI BIOS
has 2 IOMMU options: "best fit" and "absolute" with selectable aperture size
from 32MB to 2GB. I tried several combinations, neither does anything.


Version-Release number of selected component (if applicable):
kernel-2.6.24.4-64.fc8
Comment 1 Neil Squires 2008-07-07 08:22:06 EDT
I also have the problem with an AMD9500 quad core, ASUS M3A32 MVP Deluxe with 4
Gb. This MOB has no BIOS options for aperture memory hole.

Problem experienced on kernels 2.6.25.6-27 and 2.6.25.9-40.fc8
Comment 2 Bug Zapper 2008-11-26 05:30:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jack Tanner 2008-12-01 10:38:55 EST
This bug is still present in F9 in 2.6.27.5-37.fc9.x86_64 .
Comment 4 Jack Tanner 2008-12-03 12:05:07 EST
This bug is still present in F10 in kernel-2.6.27.7-134.fc10.x86_64 .
Comment 5 Jack Tanner 2008-12-03 13:38:45 EST
Additionally, in /var/log/messages I have

kernel: [drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. ffff8800426e6a00 2003 4000027 10000a7
kernel: [drm:drm_buffer_object_validate] *ERROR* Out of aperture space or DRM memory quota.

xorg-x11-server-common-1.5.3-5.fc10.x86_64
kernel-2.6.27.7-134.fc10.x86_64
xorg-x11-drv-ati-6.9.0-61.fc10.x86_64
mesa-libGL-7.2-0.13.fc10.x86_64
Comment 6 Bug Zapper 2009-01-09 01:23:55 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Till Maas 2009-01-10 15:25:42 EST
see comment #3 and #4
Comment 8 Till Maas 2009-01-10 15:33:14 EST
*** Bug 445209 has been marked as a duplicate of this bug. ***
Comment 9 Bug Zapper 2009-06-09 20:15:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 14:04:21 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.